Payment batches & settlement

Tx Ops Get Org Payment Methods

Name and signature indicate it returns tx ops get org payment methods

GEThttps://api.toku.com/stablecoin-payroll/tx-ops-get-org-payment-methods

Not available to API keys yet. It will need payments:write.

curl --request GET \
  --url 'https://api.toku.com/stablecoin-payroll/tx-ops-get-org-payment-methods' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "provider": "string",
    "displayName": "string",
    "status": "PENDING_SETUP",
    "summary": "string",
    "setupProgress": {
      "hasKeypair": true,
      "hasApiKey": true,
      "hasProviderConfig": true
    },
    "details": {
      "gnosisSafeAccountID": "string",
      "name": "string",
      "isDefault": true,
      "connectedSafeAddress": "string",
      "connectedSafeChain": "string",
      "chainDisplayName": "string",
      "signerPublicKey": "string",
      "isConnectionVerified": true,
      "safeAppUrl": "string"
    }
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

orgIDstring<uuid>

Response

200Successful response
providerstringrequired
displayNamestringrequired
statusstringrequired

Available options: PENDING_SETUP, ACTIVE

summarystringrequired
setupProgressobjectrequired
Show child attributes
hasKeypairbooleanrequired
hasApiKeybooleanrequired
hasProviderConfigbooleanrequired
detailsobject | object | object | object | object | object | object | object | objectrequired
Show child attributes
kindanyrequired
gnosisSafeAccountIDstring | nullrequired
namestring | nullrequired
isDefaultbooleanrequired
connectedSafeAddressstring | nullrequired
connectedSafeChainstring | nullrequired
chainDisplayNamestring | nullrequired
signerPublicKeystring | nullrequired
isConnectionVerifiedbooleanrequired
safeAppUrlstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits